<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class CustomOrderModel extends Model
{
    public function __construct() {

    }

    public function insertCustomOrderDetails($customOrderDetails = NULL) {
        
        DB::table('custom_app_orders')->insert([
            ['order_id' => $customOrderDetails['order_id'], 'email' => $customOrderDetails['email'],'shopify_order_id' => $customOrderDetails['shopify_order_id']]
        ]);
    }

    public function getCustomOrderDetails() {

        $data = DB::table('custom_app_orders')->latest('id')->first();
        if (empty($data)) {

            return null;
        }
        $order_id = $data->order_id;
        return $order_id;
    }

}
