
function validateForm() {
    if(typeof $(".prod-variant-id").val() === "undefined") {
        $('#validate-error').removeClass("hidden");
        return false;
    }
    
  }
$(".container").on("keypress",'.quantity-field', function (evt) {
    if (evt.which < 48 || evt.which > 57)
    {
        evt.preventDefault();
    }
});
$(document).ready(function(){

    
    $('.container').on('change','.validateForm input', function(e){

        var inputName = $(this).attr('name');
        var inputType = $(this).attr('type');
        

        var value = $(this).val().trim();

        if(inputType == 'number'){

            removeLeadingZeros = value.replace(/^0+\s/g, '');
            removeLeadingZeros = removeLeadingZeros.replace(/\b0+/g, '')

            console.log(removeLeadingZeros,'----------1');

            // removeLeadingZeros = removeLeadingZeros.replace(/\D/g,'');    
            console.log(removeLeadingZeros);
            if(removeLeadingZeros.length <= 0 || removeLeadingZeros <= 0){
                removeLeadingZeros = 1;                
                $(this).attr('value',removeLeadingZeros); 
            }       
            $(this).val(removeLeadingZeros);        

            if(value < 1) {
                $(this).addClass('invalid');
            }

            var regex = /^\d+$/;
            if( !regex.test(value) ) {               
                $(this).removeClass('invalid');
            }
        }
        
        

    });

    $('#add-list-items').on('click', function(){
        $('#list-items').show();
    });

    $('.close-form').on('click', function(){
        $('#list-items').hide();
    });

    $('.close-modal').on('click', function(e){
        e.preventDefault();
        $('#list-items').hide();
    });
    $('#form').validate({ // initialize the plugin
        rules: {
            lastName: {
                required: true
            },
        }
    });
    var productList = [];
    
    $(".list-select option:selected").each(function () { 
        var attProductId = $(this).data("product-id");
        var attVariantId = $(this).data("variant-id");
        var productCombination =  attVariantId;
        var qty= $(".qtyVariant-"+attVariantId).val();
        productList[productCombination] = qty;
    });

    if($("#line-item-property").find("tr").length > 0 ){        
        priceCalc();
    }

    $(".add-property").on('click', function(){
        var qty = 1;
        var price = 0;
        var total;

        $('#total').show();
       
        $(".list-select option:selected").each(function () { 
            var attProductId = $(this).data("product-id");
            var attVariantId = $(this).data("variant-id");
            
            var productCombination =  attVariantId;

            if(typeof(productList[productCombination]) != "undefined" && productList[productCombination] !== null) {
                    // alreadyu existing

                    var newQty = $(".qtyVariant-"+attVariantId).val();
                    newQty++;
                    $(".qtyVariant-"+attVariantId).val(newQty);
                    //$(".variant-qty-"+attVariantId).val(newQty);

                    price = $("#price-"+attVariantId).text();
                    unitPrice = price.replace("$","") * newQty;
                    
                    //adding decimal points (.00)
                    total = (Math.round(unitPrice * 100) / 100).toFixed(2);

                    var jsonString = $('.lineItem-'+attVariantId).text();
                    //var jsonString = $(this).closest('.lineItemDetails').find('.jsonString-td').text();
                    var splitData = jsonString.split('|');
                    splitData[2] = ' '+newQty+' ';
                    $('.lineItem-'+attVariantId).text(splitData.join('|'));
            
                    $('.prod-qty-'+attVariantId).val(newQty);
                    var totalSum = "$"+total;
                   $(".tot-price-"+attVariantId).html(totalSum);
                   priceCalc();

                   $("#list-items").hide();

            }else{
                // new one 
                // temp = { [productCombination]:qty};
                // productList.push(temp);
                productList[productCombination] = qty;
                var jsonString = "";
            
                if(productDetailsJson["products"].hasOwnProperty(attProductId)){
        
                    jsonString += productDetailsJson["products"][attProductId].title + ' | '+ 
                                productDetailsJson["products"][attProductId]['variants'][attVariantId]['title']+ ' | ' +  qty + ' | ' + 
                                productDetailsJson["products"][attProductId]['variants'][attVariantId]['id']+ ' | ' + productDetailsJson["products"][attProductId]['variants'][attVariantId]['sku']
                                ;
                    price = productDetailsJson["products"][attProductId]['variants'][attVariantId]['price'];
                    
                }
                var price = productDetailsJson["products"][attProductId]['variants'][attVariantId]['price'];
                var currentCount = ($("#line-item-property").find("tr").length + 1)-1;
                var count = currentCount+1;

                //adding decimal points (.00)
                unitPrice = parseFloat(price * qty);
                total = (Math.round(unitPrice * 100) / 100).toFixed(2);

                if(count < 10){
                    count = '0'+count;
                }else{
                    count = count;
                }

                var htmlString = '<tr class="Polaris-DataTable__TableRow">';
                htmlString += '<input type="hidden" class="prod-variant-id" value="' + attVariantId + '" name="prod-variant-id[]">';
                htmlString += '<input type="hidden" class="prod-id" value="' + attProductId + '" name="prod-id[]">';
                htmlString += '<input type="hidden" class="prod-qty prod-qty-'+attVariantId+'" value="' + qty + '" name="prod-qty[]">';
                htmlString += '<td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn list-key" id="'+count+'" scope="row">Vitamin' + count + '</td>';
                htmlString += '<td class="lineItem-'+attVariantId+' jsonString-td Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn" scope="row">' + jsonString + '</td>';
                // htmlString += '<td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn" scope="row">x</td>';
                htmlString += '<td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric" id="price-'+attVariantId+'">' + '$'+ price + '</td>';
                htmlString += '<td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric" data-price="'+price+'"> <input type="number" value="1" min="1" class="quantity-field qtyVariant-'+attVariantId+'" data-variantId="'+attVariantId+'" onkeypress="return !(event.charCode == 46)"> </td>';

                htmlString += '<td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric totalprice tot-price-'+attVariantId+'" id="tot-price" data-variantId="'+attVariantId+'" data-total="'+total+'">' + '$'+ total + '</td>';
                // htmlString += '<td><button class="btn del-btn btn-danger delete-button">Delete</button></td></tr>';

                htmlString += '<td><img attr_variant_id="'+attVariantId+'" class="del-btn delete-button" src="//cdn.shopify.com/s/files/1/0263/1293/3458/files/icon-trash.svg?4818" title="Delete" alt="icon delete"></td></tr>';
            

                
                //lineItemErrorField.hide();
                $("#line-item-property").append(htmlString);

                $("#list-items").hide();
                priceCalc();
    
            }
            
        });
    });
    $(".container").on('change','.quantity-field', function () {
        
        qty = $(this).val();
        
        variantId = $(this).attr('data-variantId');
        price = $("#price-"+variantId).text();
        unitTotalPrice = price.replace("$","") * qty;
        total = (Math.round(unitTotalPrice * 100) / 100).toFixed(2);

        $('.prod-qty-'+variantId).val(qty);

        var jsonString = $(this).closest('tr').find('.jsonString-td').text();
        var splitData = jsonString.split('|');
        splitData[2] = ' '+qty+' ';
        $(this).closest('tr').find('.jsonString-td').text(splitData.join('|'));

        var totalSum = "$"+total;
       $(".tot-price-"+variantId).html(totalSum);
       priceCalc();
    });

    $("#line-item-property").on("click", ".del-btn", function(){
       
        var row = $(this).closest("tr").remove();
        $('#line-item-property tr').each(function(i){    
            var n = parseInt(i+1);
            if(n <10){
                n = '0'+n;
            }else{
                n = n;
            }        
            $($(this).find('td')[0]).html('Vitamin' +n);           
        });
        var variant_id = $(this).attr('attr_variant_id');
        delete productList[variant_id];
        const index = productList.indexOf(variant_id);
        if (index > -1) {
          array.splice(index, 1);
        }
        priceCalc();
        
    });
    $('.close-message').on("click", function(){
        $('#message').hide();
        $('#validate-error').addClass("hidden");

    });

    function priceCalc() {       
        var subTotal = 0; 
        $("#line-item-property").find(".totalprice").each(function(i, ele){

            var currentTotal = parseFloat($(ele).text().replace("$",''));
            subTotal += currentTotal;
            totalPrice = (Math.round(subTotal * 100) / 100).toFixed(2);
        });
      
        $("#total-p").text("$ " + totalPrice);
        var currentCount = ($("#line-item-property").find("tr").length + 1)-1;

        if(currentCount < 1){
            $('#total').hide();
        }
    }
    //Client side validation
    

});
